
:root {
    --Gray-700: hsl(210, 10%, 33%);
    --Gray-500: hsl(201, 11%, 66%);
    --Green-500: hsl(171, 66%, 44%);
    --Blue-100: hsl(233, 100%, 69%);
}

body {
    font-family: 'Bai Jamjuree', sans-serif;
}

* {
    color: var(--Gray-700);
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    text-decoration: none;
    list-style: none;
}

header {
    width: 100%;
    height: 350px;
    background-image: url(./images/bg-header-desktop.png);
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}

header .logo img {
    width: 100%;
}

main {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

main .head {
    width: 50%;
    margin: auto;
    text-align: center;
}


main .head .info h1 {
    font-size: 35px;
    font-weight: 600;
    margin-bottom: 20px;
}

main .head .info p {
    width: 80%;
    margin: auto;
    margin-bottom: 20px;
    color: var(--Gray-500);
    line-height: 1.5;
}

.btn {
    width: 50%;
    margin: auto;
    display: flex;
    justify-content: space-evenly;
}

.btn button {
    border-color: transparent;
    outline: none;
    width: fit-content;
    padding: 10px 30px;
    border-radius: 30px;
    color: #fff;
    cursor: pointer;
    -webkit-border-radius: 30px;
    -moz-border-radius: 30px;
    -ms-border-radius: 30px;
    -o-border-radius: 30px;
    font-size: 15px;
}

.btn .ios {
    background-color: var(--Green-500);
}

.btn .mac {
    background-color: var(--Blue-100);
}


@media (max-width: 778px) {
    main .head {
        width: 100%;
    }
    .btn {
        flex-direction: column;
        width: 100%;
        justify-content: center;
        align-items: center;
        gap: 10px;
        margin-bottom: 20px;
    }
    .btn button {
        width: 80%;
        padding: 15px 0;
    }
}

.features {
    display: flex;
    flex-direction: column;
    margin-top: 100px;
    gap: 40px;
}

.sections .section-title {
    width: 40%;
    margin: auto;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 10px;
}

.section-title h2 {
    font-size: 30px;
    font-weight: 600;
}

.section-title p {
    color: var(--Gray-500);
    line-height: 1.5;
}

.features .feat  {
    display: flex
;
    justify-content: space-between;
    width: 95%;
}

.features .feat .image {
    margin-left: -45px;
}

.features .feat .title {
    display: flex;
    flex-direction: column;
    gap: 50px;
    margin: auto;
    margin-top: 80px;
    width: 25%;
}

.features .feat .title .section {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.features .feat .title .section p {
    color: var(--Gray-500);
    line-height: 1.5;
}


@media (max-width: 778px) {
    .sections .section-title {
        width: 95%;
    }
    .features .feat {
        flex-direction: column;
    }
    .features .feat .image {
        width: 90%;
        margin-left: auto;
    }
    .features .feat .image img {
        width: 100%;
    }
    .features .feat .title {
        width: 75%;
        text-align: center;
    }
}

.access {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 25px;
}

.section-title h3 {
    font-size: 30px;
    font-weight: 600;
}

.section-title p {
    color: var(--Gray-500);
    line-height: 1.5;
}

.access .image {
    width: 60%;
    margin: auto;
}

.access .image img {
    width: 100%;
}

@media (max-width: 778px) {
    .access .image {
        width: 95%;
    }
}

.super {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 25px;
}

.super .tools {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(350px,1fr));
    width: 80%;
    gap: 20px; 
    margin: auto;
    margin-bottom: 50px;
    text-align: center;
}

.super .tools  .section {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.super .tools  .section img {
    width: 40px;
    margin: auto;
    margin-bottom: 30px;
    margin-top: 30px;
}

.super .tools  .section h3 {
    font-size: 20px;
    font-weight: 600;
}

.super .tools  .section p {
    width: 80%;
    margin: auto;
    color: var(--Gray-500);
    line-height: 1.5;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    width: 90%;
    gap: 50px;
    margin: 100px auto;
    text-align: center;
    align-items: center;
}


.clipboard .btn {
    margin-top: 30px;
    width: 30%;
}

footer {
    background-color: #eee;
    margin-top: 45px;
    padding: 20px;
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(400px,1fr));
    gap: 20px;
    text-align: center;
    justify-content: center;
    align-items: center;
    height: 130%;
}


footer .logo img {
    width: 50px;
}

footer .contact {
    width: 100%;
    flex-wrap: wrap;
    display: flex;
    flex-direction: column;
    height: 50px;
    text-align: start;
    gap: 13px;
}


footer .social {
    display: flex;
    justify-content: center;
    gap: 20px;
}

@media (max-width: 778px) {
    footer .contact {
        display: block;
        text-align: center;
        margin-bottom: 45px;
        height: 50%;
    }
    .clipboard .btn {
        width: 100%;
    }
    footer .contact li {
        margin-bottom: 10px;
    }
}

.attribution {
    background-color: var(--Gray-700);
    color: #fff;
    text-align: center;
    width: 100%;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.attribution a {
    color: var(--Green-500);
    margin-left: 10px;
}

@media (max-width: 778px) {
    .attribution {
     font-size: 12px;   
    }
}